Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.authenticator
Class NonLoginAuthenticator

    java.lang.Object
      |
      +--org.apache.catalina.valves.ValveBase
            |
            +--org.apache.catalina.authenticator.AuthenticatorBase
                  |
                  +--org.apache.catalina.authenticator.NonLoginAuthenticator

All Implemented Interfaces:
  Authenticator, Contained, Lifecycle, Valve

public final class NonLoginAuthenticator
extends AuthenticatorBase

An Authenticator and Valve implementation that checks only security constraints not involving user authentication.

Version:
  $Revision: 1.3 $ $Date: 2001/07/22 20:09:19 $
Author:
  Craig R. McClanahan

Fields inherited from class org.apache.catalina.authenticator.AuthenticatorBase
`algorithm, cache, context, debug, DEFAULT_ALGORITHM, digest, entropy, info, lifecycle, random, randomClass, SESSION_ID_BYTES, sm, sso, started`

Fields inherited from class org.apache.catalina.valves.ValveBase
`container`

Fields inherited from interface org.apache.catalina.Lifecycle
`START_EVENT, STOP_EVENT`

Constructor Summary
`NonLoginAuthenticator()`

Method Summary
`boolean` | `authenticate(HttpRequest request, HttpResponse response, LoginConfig config)` Authenticate the user making this request, based on the specified login configuration.
`java.lang.String` | `getInfo()` Return descriptive information about this Valve implementation.

Methods inherited from class org.apache.catalina.authenticator.AuthenticatorBase
`accessControl, addLifecycleListener, associate, checkUserData, findConstraint, generateSessionId, getAlgorithm, getCache, getContainer, getDebug, getDigest, getEntropy, getRandom, getRandomClass, getSession, getSession, invoke, log, log, register, removeLifecycleListener, setAlgorithm, setCache, setContainer, setDebug, setEntropy, setRandomClass, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonLoginAuthenticator

    public NonLoginAuthenticator()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Valve implementation.
  Overrides:
    `getInfo` in class `AuthenticatorBase`

### authenticate

    public boolean authenticate(HttpRequest request,
                                HttpResponse response,
                                LoginConfig config)
                         throws java.io.IOException

  Authenticate the user making this request, based on the specified login configuration. Return `true` if any specified constraint has been satisfied, or `false` if we have created a response challenge already.
  Overrides:
    `authenticate` in class `AuthenticatorBase`
  Parameters:
    `request` - Request we are processing
    `response` - Response we are creating
    `login` - Login configuration describing how authentication should be performed
  Throws:
    `java.io.IOException` - if an input/output error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.